Index: src/ft2font.cpp
===================================================================
--- src/ft2font.cpp	(revision 3785)
+++ src/ft2font.cpp	(working copy)
@@ -743,8 +743,7 @@
 {
   _VERBOSE("FT2Font::~FT2Font");
 
-  if(image)
-    Py::_XDECREF(image);
+  Py_XDECREF(image);
   FT_Done_Face    ( face );
 
   for (size_t i=0; i<glyphs.size(); i++) {
@@ -781,7 +780,7 @@
   _VERBOSE("FT2Font::clear");
   args.verify_length(0);
 
-  delete image;
+  Py_XDECREF(image);
   image = NULL;
 
   angle = 0.0;
@@ -1038,6 +1037,7 @@
     throw Py::ValueError("Glyph index out of range");
 
   //todo: refcount?
+  Py_INCREF(gms[num]);
   return Py::asObject(gms[num]);
 }
 
@@ -1152,7 +1152,6 @@
   size_t height = (string_bbox.yMax-string_bbox.yMin) / 64 + 2;
 
   Py_XDECREF(image);
-  image = NULL;
   image = new FT2Image(width, height);
 
   for ( size_t n = 0; n < glyphs.size(); n++ )
@@ -1667,7 +1666,8 @@
 Py::Object
 FT2Font::get_image (const Py::Tuple &args) {
   args.verify_length(0);
-  Py_INCREF(image);
+  // TODO: what happens if image is NULL?
+  Py_XINCREF(image);
   return Py::asObject(image);
 }
 
